Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util.table
Class PropertyValueEditor

    com.togethersoft.openapi.ide.inspector.util.table.AbstractCellEditor
      |
      +--com.togethersoft.openapi.ide.inspector.util.table.PropertyValueEditor

public class PropertyValueEditor
extends AbstractCellEditor
implements CellEditorListener, TableCellEditor

Represents cell editor of property value.

Author:
  TogetherSoft

Fields inherited from class com.togethersoft.openapi.ide.inspector.util.table.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`PropertyValueEditor()` Constructs this new editor.

Method Summary
`void` | `editingCanceled(ChangeEvent e)` Called when EditingCancelled event is fired.
`void` | `editingStopped(ChangeEvent e)` Called when EditingStopped event is fired.
`protected IdeInspectorProperty` | `extractIdeInspectorPropertyFromModel(TableModel tableModel, int row, int column)` Fetches IdeInspectorProperty from the certain TableModel.
`Object` | `getCellEditorValue()` Fetches value of this cell.
`Component` | `getTableCellEditorComponent(JTable jtable, Object obj, boolean flag, int i, int j)` Fetches Swing component which represents this editor.

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.table.AbstractCellEditor
`addCellEditorListener, cancelCellEditing, fireEditingCanceled, fireEditingStopped, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Constructor Detail

### PropertyValueEditor

    public PropertyValueEditor()

  Constructs this new editor.

Method Detail

### editingCanceled

    public void editingCanceled(ChangeEvent e)

  Called when EditingCancelled event is fired.

### editingStopped

    public void editingStopped(ChangeEvent e)

  Called when EditingStopped event is fired.

### extractIdeInspectorPropertyFromModel

    protected IdeInspectorProperty extractIdeInspectorPropertyFromModel(TableModel tableModel, int row, int column)

  Fetches IdeInspectorProperty from the certain TableModel.
  Parameters:
    tableModel - TableModel from which IdeInspectorProperty will be fetched
    row - Row number in the TableModel
    column - Column number in the TableModel

### getCellEditorValue

    public Object getCellEditorValue()

  Fetches value of this cell.
  Returns: value of this cell

### getTableCellEditorComponent

    public Component getTableCellEditorComponent(JTable jtable, Object obj, boolean flag, int i, int j)

  Fetches Swing component which represents this editor.
  Parameters:
    jtable - JTable which contains this editor
    obj - Cell value
    flag - Defines whether this cell to be enabled
    i - Row number of this cell
    j - Column number of this cell
  Returns: Swing component which represents this editor

Association Links

to Class java.beans.PropertyEditor

to Class javax.swing.DefaultCellEditor

to Class java.lang.Class

to Class javax.swing.border.Border

to Class javax.swing.border.Border

to Class com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport

  Label CellEditor gets notified about the result of editing in the Custom Editor
  Is directed

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD